cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SID

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SID

- All Implemented Interfaces:
    ISegment

      public class SID
      extends Segment

  SID - Substance Identifier Segment.

  Substance Identifier Segment The Substance Identifier segment contains data necessary to identify the substance (e.g., reagents) used in the production of analytical test results.

  Represents an HL7 SID message segment. This segment has the following fields:

  SID-1: Application / Method Identifier (CWE)Conditional
  SID-2: Substance Lot Number (ST)Conditional
  SID-3: Substance Container Identifier (ST)Conditional
  SID-4: Substance Manufacturer Identifier (CWE)Conditional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SID()` Constucts the SID segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getApplicationMethodIdentifier()` Retrieves the Application Method Identifier.
    `ST` | `getSubstanceContainerIdentifier()` Retrieves the Substance Container Identifier.
    `ST` | `getSubstanceLotNumber()` Retrieves the Substance Lot Number.
    `CWE` | `getSubstanceManufacturerIdentifier()` Retrieves the Substance Manufacturer Identifier.
    `void` | `setApplicationMethodIdentifier(CWE objapplicationMethodIdentifier)` Set the Application Method Identifier.
    `void` | `setApplicationMethodIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Application Method Identifier.
    `void` | `setSubstanceContainerIdentifier(ST objsubstanceContainerIdentifier)` Set the Substance Container Identifier.
    `void` | `setSubstanceContainerIdentifier(java.lang.String strSubstanceContainerIdentifier)` Set the Substance Container Identifier.
    `void` | `setSubstanceLotNumber(ST objsubstanceLotNumber)` Set the Substance Lot Number.
    `void` | `setSubstanceLotNumber(java.lang.String strSubstanceLotNumber)` Set the Substance Lot Number.
    `void` | `setSubstanceManufacturerIdentifier(CWE objsubstanceManufacturerIdentifier)` Set the Substance Manufacturer Identifier.
    `void` | `setSubstanceManufacturerIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Substance Manufacturer Identifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SID

          public SID()

      Constucts the SID segment.

  - ### Method Detail

    - #### getApplicationMethodIdentifier

          public CWE getApplicationMethodIdentifier()

      Retrieves the Application Method Identifier. This field identifies the application/method used for the analysis.
      Returns:
        CWE - applicationMethodIdentifier

    - #### getSubstanceContainerIdentifier

          public ST getSubstanceContainerIdentifier()

      Retrieves the Substance Container Identifier.
      Returns:
        ST - substanceContainerIdentifier

    - #### getSubstanceLotNumber

          public ST getSubstanceLotNumber()

      Retrieves the Substance Lot Number. This field specify a lot number assigned by the manufacturer during production of the substance.
      Returns:
        ST - substanceLotNumber.

    - #### getSubstanceManufacturerIdentifier

          public CWE getSubstanceManufacturerIdentifier()

      Retrieves the Substance Manufacturer Identifier. This field identifies the manufacturer of this substance.
      Returns:
        CWE - substanceManufacturerIdentifier.

    - #### setApplicationMethodIdentifier

          public void setApplicationMethodIdentifier(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Application Method Identifier. This field identifies the application/method used for the analysis.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setApplicationMethodIdentifier

          public void setApplicationMethodIdentifier(CWE objapplicationMethodIdentifier)

      Set the Application Method Identifier. This field identifies the application/method used for the analysis.
      Parameters:
        `objapplicationMethodIdentifier` - object of Application Method Identifier.

    - #### setSubstanceContainerIdentifier

          public void setSubstanceContainerIdentifier(java.lang.String strSubstanceContainerIdentifier)

      Set the Substance Container Identifier.
      Parameters:
        `strSubstanceContainerIdentifier` - String which to set as Substance Container Identifier

    - #### setSubstanceContainerIdentifier

          public void setSubstanceContainerIdentifier(ST objsubstanceContainerIdentifier)

      Set the Substance Container Identifier.
      Parameters:
        `objsubstanceContainerIdentifier` - object of Substance Container Identifier.

    - #### setSubstanceLotNumber

          public void setSubstanceLotNumber(java.lang.String strSubstanceLotNumber)

      Set the Substance Lot Number. This field specify a lot number assigned by the manufacturer during production of the substance.
      Parameters:
        `strSubstanceLotNumber` - String which to set as Substance Lot Number

    - #### setSubstanceLotNumber

          public void setSubstanceLotNumber(ST objsubstanceLotNumber)

      Set the Substance Lot Number. This field specify a lot number assigned by the manufacturer during production of the substance.
      Parameters:
        `objsubstanceLotNumber` - object of Substance Lot Number

    - #### setSubstanceManufacturerIdentifier

          public void setSubstanceManufacturerIdentifier(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Substance Manufacturer Identifier. This field identifies the manufacturer of this substance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSubstanceManufacturerIdentifier

          public void setSubstanceManufacturerIdentifier(CWE objsubstanceManufacturerIdentifier)

      Set the Substance Manufacturer Identifier. This field identifies the manufacturer of this substance.
      Parameters:
        `objsubstanceManufacturerIdentifier` - object of Substance Manufacturer Identifier

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.